Mailinglist Archive: opensuse-updates (50 mails)

< Previous Next >
openSUSE-RU-2011:0906-1: glib2: gdbus aborting due to an assertion failure
openSUSE Recommended Update: glib2: gdbus aborting due to an assertion
failure
______________________________________________________________________________

Announcement ID: openSUSE-RU-2011:0906-1
Rating: low
References: #655751 #672793 #675053
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

When DBUS_SESSION_BUS_ADDRESS is set to the valid socket of
another user glib aborts due to an assertion failure if
more than one connection attempt via gdbus is made, leading
to Glib-Gio error messages. Fixed by this update.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch glib2-4974

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

glib2-branding-upstream-2.28.0-3.8.1
glib2-devel-2.28.0-3.8.1
glib2-devel-static-2.28.0-3.8.1
glib2-tools-2.28.0-3.8.1
libgio-2_0-0-2.28.0-3.8.1
libgio-fam-2.28.0-3.8.1
libglib-2_0-0-2.28.0-3.8.1
libgmodule-2_0-0-2.28.0-3.8.1
libgobject-2_0-0-2.28.0-3.8.1
libgthread-2_0-0-2.28.0-3.8.1

- openSUSE 11.4 (x86_64):

glib2-tools-32bit-2.28.0-3.8.1
libgio-2_0-0-32bit-2.28.0-3.8.1
libgio-fam-32bit-2.28.0-3.8.1
libglib-2_0-0-32bit-2.28.0-3.8.1
libgmodule-2_0-0-32bit-2.28.0-3.8.1
libgobject-2_0-0-32bit-2.28.0-3.8.1
libgthread-2_0-0-32bit-2.28.0-3.8.1

- openSUSE 11.4 (noarch):

glib2-lang-2.28.0-3.8.1


References:

https://bugzilla.novell.com/655751
https://bugzilla.novell.com/672793
https://bugzilla.novell.com/675053


< Previous Next >
This Thread
  • No further messages